Arch AxisSystem
|
Menu location |
---|
Arch → Axis tools → Axis System |
Workbenches |
Arch |
Default shortcut |
None |
Introduced in version |
- |
See also |
Arch Axis, Arch Grid |
Description
The AxisSystem tool allows you to combine two or three Arch Axis objects.
This is useful to define the intersection points between the different axes. Arch objects can then use this system to duplicate their shape on the different intersection points.
Three Arch Axis objects combined into one Arch AxisSystem. An Arch Structure object uses this system as its DataAxis property, to have its shape duplicated at each intersection point.
Usage
- Optionally, select the Arch Axis objects you wish to include in this system.
- Press the
Arch AxisSystem button.
- Right-click the newly created axes system object in the tree view to add/edit the Arch Axis objects included in this system.
- Select any existing Arch Axis and press
Arch Add or
Arch Remove buttons to add or remove it to/from this system.
- Set the DataAxis property of any Arch object to point to this system, to have its shape duplicated to the intersection points of this system.
Options
- A same Arch Axis object can be part of more than one system
- Any shape-based object can also be used as the Axis property of Arch objects. In this case, the object shape will be duplicated along the vertices of the Axis object
Scripting
See also: Arch API and FreeCAD Scripting Basics.
The AxisSystem tool can be used in macros and from the Python console by using the following function:
AxisSystem = makeAxisSystem(axes, name="Axis System")
- Creates an
AxisSystem
object from the givenaxes
, which is a single Arch Axis, or a list of them.
Example:
import Draft, Arch
Axes = Arch.makeAxis(5, 1000)
Axes.ViewObject.LineWidth = 3
Axes.ViewObject.BubbleSize = 200
Axes.ViewObject.FontSize = 150
Axes2 = Arch.makeAxis(6, 500)
Axes2.ViewObject.LineWidth = 2
Axes2.ViewObject.BubbleSize = 200
Axes2.ViewObject.FontSize = 150
Axes2.ViewObject.NumberingStyle = "A,B,C"
FreeCAD.ActiveDocument.recompute()
Axes2.Length = 6000
Draft.rotate(Axes2, -90)
Draft.move(Axes2, FreeCAD.Vector(-1000, 2500, 0))
FreeCAD.ActiveDocument.recompute()
AxisSystem = Arch.makeAxisSystem([Axes, Axes2])
Structure = Arch.makeStructure(length=200, width=200, height=100)
Draft.move(Structure, FreeCAD.Vector(-100, 0, 0))
Structure.Axis = AxisSystem
FreeCAD.ActiveDocument.recompute()
- Elements: Wall, Structure, Curtain Wall, Window, Roof, Space, Stairs, Equipment, Frame, Fence, Truss, Profile, Pipe, Pipe Connector
- Reinforcements: Straight Rebar, U-Shape Rebar, L-Shape Rebar, Stirrup, Bent-Shape Rebar, Helical Rebar, Column Reinforcement, Beam Reinforcement, Slab Reinforcement, Footing Reinforcement, Custom Rebar
- Panels: Panel, Panel Cut, Panel Sheet, Nest
- Materials: Material, Multi-Material
- Organization: Building Part, Project, Site, Building, Level, External reference, Section Plane, Schedule
- Axes: Axis, Axes system, Grid
- Modification: Cut with plane, Cut with line, Add component, Remove component, Survey
- Utilities: Component, Clone component, Split Mesh, Mesh to Shape, Select non-manifold meshes, Remove Shape from Arch, Close Holes, Merge Walls, Check, Toggle IFC Brep flag, 3 Views from mesh, Create IFC spreadsheet, Toggle Subcomponents
- Additional: Preferences, Import Export Preferences (IFC, DAE, OBJ, JSON, 3DS, SHP), IfcOpenShell, IfcPlusPlus, Arch API

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Arch, Draft, FEM, Inspection, Mesh, OpenSCAD, Part, PartDesign, Path, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Start, Surface, TechDraw, Test Framework, Web
- Hubs: User hub, Power users hub, Developer hub